
QGIS Application - Feature request #4151

New Feature: Render (Toggle map rendering) option for every layer --improves usability.

2011-08-09 08:17 AM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14128

Description

New Feature, usability: Render (Toggle map rendering) option for every layer.

Having an option to selectively freeze rendering on desire layers would increase productivity, specially when focusing work on a particular

layer of a big project with many layers.

The Render check box on the status panel can be set to show three states, so the user would know if 1 or more layers have their

rendering frozen; the check box action could reset all layers rendering at once --rendering on or off for every layer--, just as it works today

(QGIS 1.7), but the user would have the additional option to set layer-based rendering under "Layer Properties" and get a visual feedback

of this on the status bar.

History

#1 - 2011-12-09 08:45 AM - Paolo Cavallini

- Category set to Map Canvas

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-12-03 10:13 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I am not sure to understand. If you don't want to render a layer, just disable it and it will not be rendered ! You can also have it on a layer basis (you can

check/uncheck each layer individually).

There is also a render checkbox to disable/enable rendering for all layers. I guess that everything you have asked is fixed... or am I missing something ?

#6 - 2016-01-03 06:16 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100
Hello, bug triage...

closed for lack of feedback and the feature seems to be implemented in QGIS 2.13 master.

Feel free to reopen this feature request with more details...
